Bug 3515 - counter client test in 4_0_branch build failure on AIX
: counter client test in 4_0_branch build failure on AIX
Status: RESOLVED FIXED
: C WS Core
Other
: development
: RS/6000 AIX
: P3 blocker
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-23 15:25 by
Modified: 2008-01-11 15:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-23 15:25:12
On AIX 5.2:


/bin/bash
/home/condor/execute/dir_11170/userdir/install/sbin/libtool-vendorcc32dbg
--mode=link /prereq/vacpp-6/bin/xlc_r -q32  -g -qfullpath -D_ALL_SOURCE -q32
-D_ALL_SOURCE    -b32 -brtl -bnoipath 
-L/home/condor/execute/dir_11170/userdir/install/lib -o
test-secure-transport-counter
-L/home/condor/execute/dir_11170/userdir/install/lib 
test_secure_transport_counter-test_secure_transport_counter.o
-lglobus_c_wsrf_sample_counter_client_bindings_vendorcc32dbg
-lglobus_c_wsrf_sample_counter_types_vendorcc32dbg
-lglobus_wsrf_core_tools_vendorcc32dbg -lglobus_c_wsrf_resource_vendorcc32dbg
-lglobus_wsa_bindings_vendorcc32dbg -lglobus_ds_bindings_vendorcc32dbg
-lglobus_wsu_bindings_vendorcc32dbg -lglobus_wsp_bindings_vendorcc32dbg
-lglobus_wst_bindings_vendorcc32dbg -lglobus_wsse_bindings_vendorcc32dbg
-lglobus_wsseu_bindings_vendorcc32dbg -lglobus_wsc_bindings_vendorcc32dbg
-lglobus_wsbf_bindings_vendorcc32dbg -lglobus_wsnt_bindings_vendorcc32dbg
-lglobus_wsrl_bindings_vendorcc32dbg -lglobus_wsrp_bindings_vendorcc32dbg
-lglobus_wssg_bindings_vendorcc32dbg
-lglobus_notification_consumer_bindings_vendorcc32dbg
-lglobus_subscription_manager_bindings_vendorcc32dbg
-lglobus_ws_messaging_vendorcc32dbg -lglobus_usage_vendorcc32dbg
-lglobus_xio_vendorcc32dbg -lgssapi_error_vendorcc32dbg
-lglobus_gss_assist_vendorcc32dbg -lglobus_gssapi_gsi_vendorcc32dbg
-lglobus_gsi_proxy_core_vendorcc32dbg -lglobus_ws_security_vendorcc32dbg
-lglobus_gsi_credential_vendorcc32dbg -lglobus_gsi_callback_vendorcc32dbg
-lglobus_oldgaa_vendorcc32dbg -lglobus_gsi_sysconfig_vendorcc32dbg
-lglobus_gsi_cert_utils_vendorcc32dbg -lglobus_openssl_vendorcc32dbg
-lglobus_openssl_error_vendorcc32dbg -lglobus_callout_vendorcc32dbg
-lglobus_proxy_ssl_vendorcc32dbg -lglobus_common_vendorcc32dbg
-lssl_vendorcc32dbg -lcrypto_vendorcc32dbg -lxml2_vendorcc32dbg
-lltdl_vendorcc32dbg   -lm -lm -lm  
/prereq/vacpp-6/bin/xlc_r -q32 -g -qfullpath -D_ALL_SOURCE -q32 -D_ALL_SOURCE
-b32 -brtl -bnoipath -o test-secure-transport-counter
test_secure_transport_counter-test_secure_transport_counter.o 
-L/home/condor/execute/dir_11170/userdir/install/lib
-lglobus_c_wsrf_sample_counter_client_bindings_vendorcc32dbg
-lglobus_c_wsrf_sample_counter_types_vendorcc32dbg
-lglobus_wsrf_core_tools_vendorcc32dbg -lglobus_c_wsrf_resource_vendorcc32dbg
-lglobus_wsa_bindings_vendorcc32dbg -lglobus_ds_bindings_vendorcc32dbg
-lglobus_wsu_bindings_vendorcc32dbg -lglobus_wsp_bindings_vendorcc32dbg
-lglobus_wst_bindings_vendorcc32dbg -lglobus_wsse_bindings_vendorcc32dbg
-lglobus_wsseu_bindings_vendorcc32dbg -lglobus_wsc_bindings_vendorcc32dbg
-lglobus_wsbf_bindings_vendorcc32dbg -lglobus_wsnt_bindings_vendorcc32dbg
-lglobus_wsrl_bindings_vendorcc32dbg -lglobus_wsrp_bindings_vendorcc32dbg
-lglobus_wssg_bindings_vendorcc32dbg
-lglobus_notification_consumer_bindings_vendorcc32dbg
-lglobus_subscription_manager_bindings_vendorcc32dbg
-lglobus_ws_messaging_vendorcc32dbg -lglobus_usage_vendorcc32dbg
-lglobus_xio_vendorcc32dbg -lgssapi_error_vendorcc32dbg
-lglobus_gss_assist_vendorcc32dbg -lglobus_gssapi_gsi_vendorcc32dbg
-lglobus_gsi_proxy_core_vendorcc32dbg -lglobus_ws_security_vendorcc32dbg
-lglobus_gsi_credential_vendorcc32dbg -lglobus_gsi_callback_vendorcc32dbg
-lglobus_oldgaa_vendorcc32dbg -lglobus_gsi_sysconfig_vendorcc32dbg
-lglobus_gsi_cert_utils_vendorcc32dbg -lglobus_openssl_vendorcc32dbg
-lglobus_openssl_error_vendorcc32dbg -lglobus_callout_vendorcc32dbg
-lglobus_proxy_ssl_vendorcc32dbg -lglobus_common_vendorcc32dbg
-lssl_vendorcc32dbg -lcrypto_vendorcc32dbg -lxml2_vendorcc32dbg
-lltdl_vendorcc32dbg -lm
-Wl,-blibpath:/home/condor/execute/dir_11170/userdir/install/lib:/home/condor/execute/dir_11170/userdir/install/lib:/usr/lpp/xlopt:/usr/lib/threads:/usr/lib:/lib

/prereq/vacpp-6/bin/xlc_r -q32 -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\"
-DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\"
-DPACKAGE=\"globus_c_wsrf_sample_counter_client_test\" -DVERSION=\"0.3\"  -I.
-I/home/condor/execute/dir_11170/userdir/globus-installer/source-trees/wsrf/c/samples/counter/test
  -I/home/condor/execute/dir_11170/userdir/install/include
-I/home/condor/execute/dir_11170/userdir/install/include/vendorcc32dbg
-I/home/condor/execute/dir_11170/userdir/install/include/vendorcc32dbg/wsrf/services
-I/home/condor/execute/dir_11170/userdir/install/include/vendorcc32dbg/
-I/home/condor/execute/dir_11170/userdir/install/include/vendorcc32dbg/wsrf/services
 -g -qfullpath -D_ALL_SOURCE -q32 -D_ALL_SOURCE   -c -o
test_secure_message_counter-test_secure_message_counter.o `test -f
'test_secure_message_counter.c' || echo
'/home/condor/execute/dir_11170/userdir/globus-installer/source-trees/wsrf/c/samples/counter/test/'`test_secure_message_counter.c
"test_secure_message_counter.c", line 49.21: 1506-280 (S) Function argument
assignment between types "void*" and "int" is not allowed.
make[2]: *** [test_secure_message_counter-test_secure_message_counter.o] Error 1
make[2]: Leaving directory
`/home/condor/execute/dir_11170/userdir/globus-installer/source-trees/wsrf/c/samples/counter/test'
------- Comment #1 From 2005-07-06 07:43:54 -------
Committed a cast to void * to the gt4 branch and trunk that should let it build
on AIX.

joe